Is there any way to use SageMath on macOS Big Sur??

asked 2020-11-14 15:26:23 -0600

updated 2020-11-15 03:12:27 -0600

FrédéricC gravatar image

I downloaded SageMath-9.2 on my mac,but every time I try ro use the notebook (by running "sage -n jupyter" on my terminal) I get the following massage:

" Please wait while the Sage Jupyter Notebook server starts... Traceback (most recent call last): File "/Applications/SageMath-9.2.app/Contents/Resources/sage/local/lib/python3.8/site-packages/sage/repl/ipython_kernel/install.py", line 307, in have_prerequisites from notebook.notebookapp import NotebookApp File "/Applications/SageMath-9.2.app/Contents/Resources/sage/local/lib/python3.8/site-packages/notebook/notebookapp.py", line 66, in from tornado import httpserver File "/Applications/SageMath-9.2.app/Contents/Resources/sage/local/lib/python3.8/site-packages/tornado/httpserver.py", line 29, in import ssl File "/Applications/SageMath-9.2.app/Contents/Resources/sage/local/lib/python3.8/ssl.py", line 98, in import _ssl # if we can't import it, let the error propagate ModuleNotFoundError: No module named '_ssl'

The Jupyter notebook requires ssl, even if you do not use https. Install the openssl development packages in your system and then rebuild Python (sage -f python3). " And also I can't open the app either for some reason ..... every time I click on the app I get a small window saying : "Jupyter Server failed to start" "For some reason the Jupyter server failed to start. Please check the log for clues, and have that information handy when asking for help."

I hope for some help, its very important for me because I must use SageMath for my college project.. thanks in advance

edit retag flag offensive close merge delete

Comments

Thank you so much!

Safa Amasha gravatar imageSafa Amasha ( 2020-11-15 03:15:24 -0600 )edit

There's always Cocalc as well if you have an internet connection.

dazedANDconfused gravatar imagedazedANDconfused ( 2020-11-15 18:42:13 -0600 )edit

I had the same/similar issue when upgrading to 9.2. I just downgraded to 9.1 and all is fine.

b@nnon.us gravatar imageb@nnon.us ( 2020-11-17 07:23:06 -0600 )edit